diff --git a/doc/src/sgml/release-15.sgml b/doc/src/sgml/release-15.sgml
index d432c2db44..7387d493d4 100644
--- a/doc/src/sgml/release-15.sgml
+++ b/doc/src/sgml/release-15.sgml
@@ -3,7 +3,7 @@
 
   <formalpara>
    <title>Release date:</title>
-   <para>AS OF 2022-06-11</para>
+   <para>AS OF 2022-09-04</para>
   </formalpara>
 
   <sect2>
@@ -15,7 +15,38 @@
    </para>
 
    <itemizedlist>
-    <listitem><para></para></listitem>
+     <listitem>
+      <para>
+       Performance improvements for in-memory and on-disk sorting.
+      </para>
+     </listitem>
+    <listitem>
+     <para>
+      Support for the <acronym>SQL</acronym> <command>MERGE</command>
+      command.
+     </para>
+    </listitem>
+    <listitem>
+     <para>
+      Column-level and row-level filtering on
+      <link linkend="logical-replication">logical replication</link>
+      publications.
+     </para>
+    </listitem>
+    <listitem>
+     <para>
+      More options for compression, including support for Zstandard (zstd)
+      compression. This includes support for server-side compression for
+      <link linkend="app-pgbasebackup">
+        <application>pg_basebackup</application></link>.
+     </para>
+    </listitem>
+    <listitem>
+     <para>
+      Structured <link linkend="guc-log-destination">log output</link> using
+      the <acronym>JSON</acronym> format.
+     </para>
+    </listitem>
    </itemizedlist>
 
    <para>
